UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
3,266 Views
Registered: ‎12-09-2011

Plan Ahead 13.2 on Linux [Red Hat 6.3] launach error even with libraries installed

I`m having a wierd problem of PlanAhead not able to find installed libraries. I`m on a 64 bit Redhat 6.3. The error is :

 

/opt/xilinx/13.2/ISE_DS/ISE/bin/lin64/_fpga_editor: error while loading shared libraries: libstdc++.so.5: cannot open shared object file: No such file or directory

 However, the library libstdc++.so.5 is present. The output of whereis libstdc++.so.5 is :

 

libstdc++.so: /usr/lib/libstdc++.so.5 /usr/lib64/libstdc++.so.6

 And the output of locate libstdc++.so.5 is 

/opt/xilinx/13.2/ISE_DS/PlanAhead/lib/lnx32.o/libstdc++.so.5

 I did source /opt/xilinx/13.2/ISE_DS/settings64.sh before starting ise. ISE, and stuff are working fine.

 

Whats wrong with FPGA editor?

0 Kudos
2 Replies
Xilinx Employee
Xilinx Employee
3,244 Views
Registered: ‎07-01-2008

Re: Plan Ahead 13.2 on Linux [Red Hat 6.3] launach error even with libraries installed

This issue belongs in the Installation and Licensing forum.

0 Kudos
Visitor jay.aurabind
Visitor
3,225 Views
Registered: ‎01-17-2013

Re: Plan Ahead 13.2 on Linux [Red Hat 6.3] launach error even with libraries installed

Finding the solution is even easier than finding the category in here! :D

 

Anyway I figured it out. It was that the file i had was a 32 bit version. installed 64 bit version and its working fine. But FPGA editor GUI sucks. 

 

 

Thanks!

 

0 Kudos